org.apache.fop.fo.properties

## Class CommonTextDecoration

- java.lang.Object
- - org.apache.fop.fo.properties.CommonTextDecoration

    public class CommonTextDecoration
    extends Object

Stores all information concerning text-decoration.

### Constructor Summary

Constructors
Constructor and Description
`CommonTextDecoration()` Creates a new CommonTextDecoration object with default values.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CommonTextDecoration` `createFromPropertyList(PropertyList pList)` Creates a CommonTextDecoration object from a property list.
`Color` `getLineThroughColor()`
`Color` `getOverlineColor()`
`Color` `getUnderlineColor()`
`boolean` `hasLineThrough()`
`boolean` `hasOverline()`
`boolean` `hasUnderline()`
`boolean` `isBlinking()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommonTextDecoration

    public CommonTextDecoration()

Creates a new CommonTextDecoration object with default values.

### Method Detail

#### createFromPropertyList

    public static CommonTextDecoration createFromPropertyList(PropertyList pList)
                                                       throws PropertyException

Creates a CommonTextDecoration object from a property list.

Parameters:
  `pList` - the property list to build the object for
Returns:
  a CommonTextDecoration object or null if the obj would only have default values
Throws:
  `PropertyException` - if there's a problem while processing the property

#### hasUnderline

    public boolean hasUnderline()

Returns:
  true if underline is active

#### hasOverline

    public boolean hasOverline()

Returns:
  true if overline is active

#### hasLineThrough

    public boolean hasLineThrough()

Returns:
  true if line-through is active

#### isBlinking

    public boolean isBlinking()

Returns:
  true if blink is active

#### getUnderlineColor

    public Color getUnderlineColor()

Returns:
  the color of the underline mark

#### getOverlineColor

    public Color getOverlineColor()

Returns:
  the color of the overline mark

#### getLineThroughColor

    public Color getLineThroughColor()

Returns:
  the color of the line-through mark